=== src/BatchHDR/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchhdr STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
TARGET_LINK_LIBRARIES(batchhdr Qt5::Concurrent Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Sql Qt5::Xml)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchhdr PARENT_SCOPE)
