=== src/Libpfs/io/CMakeLists.txt ===
FILE(GLOB IO_H *.h)
FILE(GLOB IO_HXX *.hxx)
FILE(GLOB IO_CPP *.cpp)

IF(NOT CFITSIO_FOUND)
    FILE(GLOB to_remove fitsreader.*)
    LIST(REMOVE_ITEM IO_CPP ${to_remove})
    LIST(REMOVE_ITEM IO_H ${to_remove})
ENDIF()

SET(LIBPFS_H ${LIBPFS_H} ${IO_H} ${IO_HXX} PARENT_SCOPE)
SET(LIBPFS_CPP ${LIBPFS_CPP} ${IO_CPP} PARENT_SCOPE)
