=== debian/changelog ===
luminance-hdr (2.6.1.1+dfsg-5) unstable; urgency=medium

  * Apply patch from upstream issuetracker to fix FTBFS against boost >= 1.85
    and also bump C++ std version to 14 to allow building against boost 1.88.
    (Thanks, Matthias Klose) Closes: #1110597

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 12:02:07 +0200

luminance-hdr (2.6.1.1+dfsg-4) unstable; urgency=medium

  * Team upload
  * Build with QtWebEngine instead of QtWebKit

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 18:05:06 +0100

luminance-hdr (2.6.1.1+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit e5ebd48fac2de33f4990f530c68dd4c9d8fc3829 to build
    also against Exiv2 0.28+; patch 80_exiv2_0.28.diff
    - bump the libexiv2-dev build dependency to 0.27.0 accordingly

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Feb 2024 14:09:41 +0100

luminance-hdr (2.6.1.1+dfsg-2) unstable; urgency=medium

  * 70_OpenEXR3.diff: Fix build error against OpenEXR 3. Closes: #1017526
  * Migrate lintian overrides with
    GIT/lintian/bin/lintian-migrate-overrides-to-pointed-hints.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Aug 2022 18:21:37 +0200

luminance-hdr (2.6.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * Add lintian override for html templates.
  * Use dh v13 mode.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jul 2021 18:57:47 +0200
